STG-UNCOMMIT(1)

NAME
stg-uncommit - Turn regular git commits into StGit patches

SYNOPSIS

stg uncommit [--] <patch-name-1> [<patch-name-2> ...]
stg uncommit -n NUM [--] [<prefix>]
stg uncommit -t <committish> [-x]

DESCRIPTION
Take one or more git commits at the base of the current stack and turn them into StGIT patches. The new patches are created as applied patches at the bottom of the stack. This is the opposite of stg commit.

By default, the number of patches to uncommit is determined by the number of patch names provided on the command line. First name is used for the first patch to uncommit, i.e. for the newest patch.

The -n/--number option specifies the number of patches to uncommit. In this case, at most one patch name may be specified. It is used as prefix to which the patch number is appended. If no patch names are provided on the command line, StGIT automatically generates them based on the first line of the patch description.

The -t/--to option specifies that all commits up to and including the given commit should be uncommitted.

Only commits with exactly one parent can be uncommitted; in other words, you can’t uncommit a merge.

OPTIONS

-n NUMBER, --number NUMBER
    Uncommit the specified number of commits.

-t TO, --to TO
    Uncommit to the specified commit.

-x, --exclusive
    Exclude the commit specified by the --to option.

STGIT
Part of the StGit suite - see stg(1)